Bug 230217 - textproc/py-trans: Update to 2.1.0
Summary: textproc/py-trans: Update to 2.1.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://github.com/zzzsochi/trans/blo...
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-31 00:47 UTC by Nathan
Modified: 2019-06-09 15:30 UTC (History)
3 users (show)

See Also:
kai: maintainer-feedback-


Attachments
Update (1.52 KB, patch)
2018-07-31 00:47 UTC, Nathan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nathan 2018-07-31 00:47:20 UTC
Created attachment 195666 [details]
Update

RelNotes

        Add Farsi alphabet (thx rodgar-nvkz)
        Use pytest
        Some code style refactoring
Comment 1 Jochen Neumeister freebsd_committer 2018-11-11 20:00:39 UTC
any news here?
Comment 2 Tobias Kortkamp freebsd_committer 2019-01-12 12:26:27 UTC
Comment on attachment 195666 [details]
Update

+LICENSE=	BSD2CLAUSE
+LICENSE_FILE=	${FILESDIR}/LICENSE

About that license change...  Where is files/LICENSE?  It's missing
from the patch.  It's also not anywhere in the tarball.
Comment 3 commit-hook freebsd_committer 2019-06-09 15:27:27 UTC
A commit references this bug:

Author: kai
Date: Sun Jun  9 15:27:19 UTC 2019
New revision: 503825
URL: https://svnweb.freebsd.org/changeset/ports/503825

Log:
  textproc/py-trans: Update to 2.1.0

  * Relax the Python version requirements because support for Python 3 was
    introduced with the 2.0 release.

  Also while I'm here:
  * Mark the port as architecture neutral by adding NO_ARCH
  * Reset the maintainer due a period of very long absence

  PR:		230217
  Submitted by:	Nathan <ndowens@yahoo.com> (based on)
  Reviewed by:	tobik
  Approved by:	maintainer (timeout, more than 11 months)

Changes:
  head/textproc/py-trans/Makefile
  head/textproc/py-trans/distinfo
Comment 4 Kai Knoblich freebsd_committer 2019-06-09 15:30:59 UTC
Committed, thanks for the patch. The maintainership was released because of a very long timeout.